## BtSignalAnalysisDialog BtSignalAnalysisDialog — audio analysis window |

## Functions

BtSignalAnalysisDialog * | bt_signal_analysis_dialog_new ()

## Properties

GstBin * | element | Write / Construct Only

## Types and Values

struct | BtSignalAnalysisDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── BtSignalAnalysisDialog

## Implemented Interfaces

BtSignalAnalysisDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

The dialog shows a spectrum analyzer and level-meters for left/right channel. The spectrum analyzer support mono and stereo display. It has a few settings for logarithmic/linear mapping and precission.

Right now the analyser-section can be attached to a BtWire and the BtSinkBin.

The dialog is not modal.

## Functions

### bt_signal_analysis_dialog_new ()

    BtSignalAnalysisDialog *
    bt_signal_analysis_dialog_new (const GstBin *element);

Create a new instance

#### Parameters

element | the wire/machine object to create the dialog for |

#### Returns

the new instance or `NULL` in case of an error

## Types and Values

### struct BtSignalAnalysisDialog

    struct BtSignalAnalysisDialog;

the root window for the editor application

## Property Details

### The `“element”` property

      “element”                  GstBin *

Set wire/machine object, the dialog handles.

Flags: Write / Construct Only